Bug 425872 - Review Request: quarticurve-kwin-theme - Unofficial port of the Bluecurve KWin decoration to KDE 4
Review Request: quarticurve-kwin-theme - Unofficial port of the Bluecurve KWi...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-16 20:01 EST by Kevin Kofler
Modified: 2008-01-21 04:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-21 04:11:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2007-12-16 20:01:38 EST
Spec URL: http://repo.calcforge.org/f9/kde4-decoration-native-quarticurve-kwin.spec
SRPM URL: http://repo.calcforge.org/f9/kde4-decoration-native-quarticurve-kwin-0.0-0.1.beta3.fc8.src.rpm
Description:
Quarticurve-KWin is an unofficial port of Red Hat's Bluecurve KWin 3 decoration
(taken out of redhat-artwork 7.0.0) to KDE 4. This port is NOT endorsed or
supported by Red Hat.

This package is targeted at F9+ ONLY. It replaces the bluecurve-kwin-theme which is useless in KDE 4.

In case that it isn't obvious, the Contribution under the CLA here is supposed to be the packaging, not the upstream source code, even though I happen to be upstream. (The upstream code is GPL v2, so no licensing issues there.)
Comment 1 Rex Dieter 2008-01-11 13:49:06 EST
I can review this.
Comment 2 Rex Dieter 2008-01-11 13:53:08 EST
Scratch build submitted:
http://koji.fedoraproject.org/koji/taskinfo?taskID=342895
Comment 3 Rex Dieter 2008-01-11 14:08:53 EST
Hrm, seems to be a problem using it (the scratch build anyway), systemsettings
crashes with:
systemsettings: symbol lookup error: /usr/lib64/kde4/kwin3_quarticurve.so:
undefined symbol: _ZN7QPixmapC2ERK5QSizeNS_4TypeE
??

I'll continue to the review on other items.
Comment 4 Rex Dieter 2008-01-11 14:11:25 EST
rpmlint:
kde4-decoration-native-quarticurve-kwin.x86_64: W: obsolete-not-provided
bluecurve-kwin-theme
kde4-decoration-native-quarticurve-kwin.x86_64: W: filename-too-long-for-joliet
kde4-decoration-native-quarticurve-kwin-0.0-0.1.beta3.fc9.x86_64.rpm

The name *is* kinda long, why include "decoration-native'? (or maybe that's from
the proposed kde naming spec)?

speaking of names, including 'kde3' in the name seems a bit confusing too. ?
Comment 5 Rex Dieter 2008-01-11 14:13:44 EST
Packaging-wise, the spec looks simple, clean enough.

Address/respond-to the "not working" and "naming" issues (worksforme, forget it,
respectfully, are acceptable. :) ), and I'll approve this.
Comment 6 Kevin Kofler 2008-01-11 21:26:17 EST
The name is from the naming spec (with the additional proposal of 
specifying "kde4" to make it clear), it's ridiculously long indeed. Any better 
suggestion? (If so, we should fix the spec.)

The unresolved symbol is definitely a bug, I'll need some time to debug it.
Comment 7 Kevin Kofler 2008-01-11 21:33:34 EST
Oh and for the .so name, KWin 4.0 uses kwin3_*.so plugin names for its own 
plugins too. I know it's silly, but I'm just doing what upstream does.
Comment 8 Rex Dieter 2008-01-11 21:36:56 EST
Ick, I guess that explains why I'm seeing double entries in systemsettings
(kde-4.0) with kdebase3 installed.  doh.  Looks like one more thing to omit.
Comment 9 Kevin Kofler 2008-01-12 04:45:46 EST
It turns out the "undefined symbol: _ZN7QPixmapC2ERK5QSizeNS_4TypeE" error 
actually came from building against Qt 4.3.3 and running with 4.4 TP1 
(something which is supposed to work, I filed an issue report at Trolltech 
about the binary compatibility breakage), when running with Qt 4.3.3, this is 
not an issue (we discussed this on IRC).

This leaves the issue of the package name: I'm OK with renaming the package to 
whatever it should be named, but what should I rename it to? ;-)
Comment 10 Rex Dieter 2008-01-16 09:08:23 EST

SHOULD: Use a shorter/better pkg name.  I'll leave the naming to your best
judgment (maybe simply quarticurve or quarticurve-kwin?).  Note: this should be
decided before the cvs module is created, of course. :)

SHOULD: remove the "not endorsed by Red Hat" phrase from the description.  It
doesn't add any value (besides, being "unofficial" is already mentioned).

I don't see any blockers here, and bonus points for being upstream.  The package
here is simple and clean.

APPROVED.
Comment 11 Kevin Kofler 2008-01-16 11:51:23 EST
OK, I'll rename the package and retouch the description during/after import.
Comment 12 Kevin Kofler 2008-01-16 11:54:11 EST
New Package CVS Request
=======================
Package Name: quarticurve-kwin-theme
Short Description: Unofficial port of the Bluecurve KWin decoration to KDE 4
Owners: kkofler
Branches:
InitialCC:
Cvsextras Commits: yes
Comment 13 Kevin Fenzi 2008-01-16 12:32:31 EST
Well, if you intend to rename it, it would be best to do so before adding it to
CVS. Is this the final name you want (in comment #12?)
Comment 14 Kevin Kofler 2008-01-16 12:39:06 EST
Yes, the name in the CVS request is already the one I want to rename it to.
Comment 15 Kevin Fenzi 2008-01-16 12:47:41 EST
ok, Just wanted to make sure. 
cvs done.

Note You need to log in before you can comment on or make changes to this bug.